%define name abisuite
%define version 0.7.9
%define release 1mdk
%define ABIPREFIX /usr/share/abisuite

Name: %{name}
Summary: Lean and fast full-featured word processor
Version: %{version}
Release: %{release}
Source: http://www.abisource.com/downloads/Version-%{version}/lf/abi-%{version}.tar.bz2
Source1: http://www.abisource.com/downloads/Version-%{version}/lf//abidistfiles-%{version}.tar.bz2
Source2: http://www.abisource.com/downloads/Version-%{version}/lf/expat-%{version}.tar.bz2
Source3: http://www.abisource.com/downloads/Version-%{version}/lf/unixfonts-%{version}.tar.bz2
Source4: http://www.abisource.com/downloads/Version-%{version}/lf/wv-%{version}.tar.bz2
Source5: abiword.xpm
Source6: mini-abiword.xpm
Group: Office
URL: http://www.abisource.com/
Requires: gtk+ >= 1.2, glib
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL

%description
AbiWord is a lean and fast full-featured word processor. It works on Windows
and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of Word97 and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n abi-%{version} -b 1 -b 2 -b 3 -b 4

%build
make prefix=/usr

%install
make install prefix=$RPM_BUILD_ROOT/usr/share/abisuite
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -sf /usr/share/abisuite/bin/AbiWord $RPM_BUILD_ROOT/usr/bin/abiword
ln -sf /usr/share/abisuite/bin/AbiWord $RPM_BUILD_ROOT/usr/bin/AbiWord
( cd $RPM_BUILD_ROOT/usr/share/abisuite/bin; rm abiword; ln -s AbiWord abiword )
perl -pi -e "s,$RPM_BUILD_ROOT,," $RPM_BUILD_ROOT/usr/share/abisuite/bin/AbiWord

# (fg) Icons
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/icons/abiword.xpm
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/usr/share/icons/mini/abiword.xpm

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(abisuite): command="abiword" section="Office" \
icon="abiword.xpm" needs="x11" title="AbiWord" \
longtitle="RTF and Word (up to 97) document editor"
EOF

# (vince) user cann't read the fonts without this
chmod 644 $RPM_BUILD_ROOT/usr/share/abisuite/AbiSuite/fonts/*

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/usr/share/abisuite
/usr/bin/*
%dir /usr/share/icons
/usr/share/icons/abiword.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/abiword.xpm
/usr/lib/menu/%{name}

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%changelog
* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com>
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com>
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca>
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
